<template>
    <!-- <div class="container">
        <div id="success" class="mb-3"></div>
        <v-btn small text @click="likePost" class="blue--text">
            <v-icon>mdi-heart-multiple-outline</v-icon> 
            ({{ likes }})
        </v-btn>
    </div> -->
    <div class="container">
        <div 
        v-for="(comment, index) in komentars"
        :key="`komentar-${index}`"
        ></div>
        <v-button
            @click="increment(index)"
            :id="comment.id"
        > <v-icon>mdi-heart-multiple-outline</v-icon> {{ comment.counter.likes }} </v-button>
    </div>
</template>

<script>

export default {
    // data: () => ({
    //     props: ['post'],
    //     apiDomain: 'http://127.0.0.1:8000',
    //     likes: 0,
    // }),
    // method: {
    //     likePost: function () {

    //         const config = {
    //             method: 'post',
    //             url : this.apiDomain + '/api/komentarlikes',
    //         }
    //         this.axios(config)
    //             .then((response) => {
    //                 this.likes = response.data.message
    //             })
    //             .catch()
    //     },
    // },
    // created(){
    //     this.likePost
    // },

    data() {
        return {
            komentars: [{
                id: '',
                counter: {
                    likes: 0,
                }
            }],
            props: ['post'],
            apiDomain: 'http://127.0.0.1:8000',
        }
    },
    method: {
    increment: function (index) {
        this.comments[index].counter.likes++;

        const config = {
            method: 'post',
            url : this.apiDomain + '/api/komentarlikes',
        }
        this.axios(config)
            .then((response) => {
                    this.likes = response.data.message
            })
            .catch()
        },
    },
    created(){
        this.increment()
    },

};
</script>